unit filterWin;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfilterFrm = class(TForm)
    GroupBox2: TGroupBox;
    rbKeep: TRadioButton;
    rbRemove: TRadioButton;
    GroupBox1: TGroupBox;
    eContains: TLabeledEdit;
    eStarts: TLabeledEdit;
    eEnds: TLabeledEdit;
    cbCaseSensitive: TCheckBox;
    btnOk: TButton;
    btnCancel: TButton;
    procedure UpdateOkEnabled(Sender: TObject);
  private
  public
  end;

implementation

{$R *.dfm}

procedure TfilterFrm.UpdateOkEnabled(Sender: TObject);
begin
  btnOk.Enabled := (Length(eContains.Text) + Length(eStarts.Text) + Length(eEnds.Text)) > 0;
end;

end.
